"{ Package: 'stx:goodies/metacello/stx' }"

MetacelloVersionSpec subclass:#MetacelloStXVersionSpec
	instanceVariableNames:'packages repositories'
	classVariableNames:''
	poolDictionaries:''
	category:'Metacello-St/X-Specs'
!


!MetacelloStXVersionSpec methodsFor:'accessing'!

computeVersionStatus: matchBlock
    ^#noStatus
    "/self computeVersionStatus: (self expandToLoadableSpecNames: #('ALL')) matchBlock: matchBlock

    "Created: / 19-09-2012 / 02:27:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

packageSpecsInLoadOrder
    ^ self packages packageSpecsInLoadOrder

    "Created: / 19-09-2012 / 02:32:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

packages
    packages isNil ifTrue: [ packages := self project packagesSpec ].
    ^ packages

    "Created: / 19-09-2012 / 02:24:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

packages: anObject
    packages := anObject

    "Created: / 19-09-2012 / 02:24:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

repositories
    repositories isNil ifTrue: [ repositories := self project repositoriesSpec ].
    ^ repositories

    "Created: / 03-10-2012 / 11:04:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

repositories: anObject
    repositories := anObject

    "Created: / 03-10-2012 / 11:04:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MetacelloStXVersionSpec methodsFor:'construction'!

package: aString constructor: aVersionConstructor
    aVersionConstructor packageForVersion: aString

    "Created: / 19-09-2012 / 02:20:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

package: aString overrides: aBlock constructor: aVersionConstructor
    aVersionConstructor packageForVersion: aString overrides: aBlock

    "Created: / 19-09-2012 / 02:20:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

package: packageName with: aBlockOrString constructor: aVersionConstructor
    aVersionConstructor packageForVersion: packageName with: aBlockOrString

    "Created: / 19-09-2012 / 02:20:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

repository: repositoryName with: aBlockOrString constructor: aVersionConstructor
    aVersionConstructor repositoryForVersion: repositoryName with: aBlockOrString

    "Created: / 03-10-2012 / 10:49:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MetacelloStXVersionSpec methodsFor:'enumerating'!

projectDo: projectBlock packageDo: packageBlock groupDo: groupBlock
    self packageSpecsInLoadOrder do:  [:pkgSpec |
        pkgSpec 
            projectDo: projectBlock 
            packageDo: packageBlock 
              groupDo: groupBlock 
    ]

    "Created: / 03-10-2012 / 22:53:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MetacelloStXVersionSpec methodsFor:'private'!

versionClass
    ^MetacelloStXVersion

    "Created: / 03-10-2012 / 22:49:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MetacelloStXVersionSpec class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
